> ## Documentation Index
> Fetch the complete documentation index at: https://docs.docyard.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Artifact

> Revoke an artifact to prevent retrieval

# Revoke Artifact

Revoke an artifact to prevent any further retrieval. Once revoked, collectors can no longer access the artifact.

## Endpoint

```
DELETE /upload endpoint/artifacts/{artifact_id}
```

## Path Parameters

| Parameter     | Type   | Required | Description     |
| ------------- | ------ | -------- | --------------- |
| `artifact_id` | string | Yes      | The artifact ID |

## Request

```bash theme={null}
curl -X DELETE https://api.docyard.io/v1/upload/artifacts/art-abc123 \
  -H "X-API-Key: dk_live_dist_aaaaaaaa"
```

## Response

```json theme={null}
{
  "id": "art-abc123",
  "status": "revoked",
  "revoked_at": "2026-03-15T15:00:00Z",
  "message": "Artifact has been revoked. Collectors can no longer retrieve."
}
```

***

## Related Endpoints

* [Get Artifact](/api-reference/artifacts/get)
* \[Upload Artifact]\(/api-reference/upload endpoints/upload)
